'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

require('../src/stylus/app.styl');

var _semver = require('semver');

var _semver2 = _interopRequireDefault(_semver);

var _package = require('../package.json');

var _components = require('./components');

var components = _interopRequireWildcard(_components);

var _directives = require('./directives');

var directives = _interopRequireWildcard(_directives);

var _console = require('./util/console');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Vuetify(Vue, args) {
  var Vuetify = components.Vuetify;

  Vue.use(Vuetify, _extends({
    components: components,
    directives: directives
  }, args));
}

Vuetify.version = _package.version;

function checkVueVersion() {
  var vueDep = _package.peerDependencies.vue;
  if (!_semver2.default.satisfies(window.Vue.version, vueDep)) {
    (0, _console.consoleWarn)('Vuetify requires Vue version ' + vueDep);
  }
}

if (typeof window !== 'undefined' && window.Vue) {
  window.Vue.version && checkVueVersion();
  window.Vue.use(Vuetify);
}

exports.default = Vuetify;